name: muthsevcontacts/contact-list
typeName: contact_list
title: 'Kontakt-Liste'
description: 'Ein Inhaltselement, um hinterlegte Kontakte als Tabelle, Liste oder Teasermatrix auszuspielen'
group: teasers
prefixFields: false
security:
  ignoreWebMountRestriction: false
  ignoreRootLevelRestriction: false
  ignorePageTypeRestriction: false
internalDescription: false
basics:
  - TYPO3/Appearance
  - TYPO3/Links

fields:
  - identifier: header
    useExistingField: true
    label: Überschrift

  - identifier: pi_flexform
    useExistingField: true
    label: Einstellungen
    fields:
      - type: Sheet
        identifier: general
        label: Datenauswahl
        fields:

        - identifier: categories
          label: LLL:EXT:news/Resources/Private/Language/locallang_be.xlf:flexforms_general.categories
          type: Select
          renderType: selectTree
          foreign_table: sys_category
          foreign_table_where: 'AND (sys_category.sys_language_uid = 0 OR sys_category.l10n_parent = 0) ORDER BY sys_category.sorting'
          size: 15
          minitems: 0
          maxitems: 99
          treeConfig:
            parentField: parent
            appearance:
              maxLevels: 99
              expandAll: true
              showHeader: true

        - identifier: includeSubCategories
          label: LLL:EXT:news/Resources/Private/Language/locallang_be.xlf:flexforms_general.includeSubCategories
          type: Checkbox

        - identifier: orderBy
          label: LLL:EXT:news/Resources/Private/Language/locallang_be.xlf:flexforms_general.orderBy
          type: Select
          renderType: selectSingle
          # itemsProcFunc: GeorgRinger\News\Hooks\ItemsProcFunc->user_orderBy
          items:
            - label: ''
              value: ''
            - label: Name
              value: name
            - label: LLL:EXT:news/Resources/Private/Language/locallang_be.xlf:flexforms_general.orderBy.tstamp
              value: tstamp
            - label: LLL:EXT:news/Resources/Private/Language/locallang_be.xlf:flexforms_general.orderBy.crdate
              value: crdate

        - identifier: orderDirection
          label: Sortierrichtung
          type: Select
          renderType: selectSingle
          items:
            - label: ''
              value: ''
            - label: LLL:EXT:news/Resources/Private/Language/locallang_be.xlf:flexforms_general.orderDirection.asc
              value: asc
            - label: LLL:EXT:news/Resources/Private/Language/locallang_be.xlf:flexforms_general.orderDirection.desc
              value: desc

      - type: Sheet
        identifier: template
        label: Darstellung / Weitere Optionen
        fields:
        - identifier: layout
          label: Vorlage / Template
          type: Select
          renderType: selectSingle
          itemsProcFunc: MUTHSEV\Contacts\Backend\DataProvider\ContactListTemplateOptionsProvider->getAvailableTemplates
          extKey: muthsevcontacts
          pluginName: ContactList

        - identifier: lightbox
          type: Checkbox
          label: Lightbox aktivieren

